# types.h File Reference

`#include <sys/_types.h>`

Go to the source code of this file.

## Defines

#define | NULL 0x0

## Typedefs

typedef unsigned char | uInt8
typedef unsigned short | uInt16
typedef unsigned long | uInt32
typedef unsigned int | uInt
typedef char | Int8
typedef short | Int16
typedef long | Int32
typedef int | pidType
typedef int | pid_t
typedef int | size_t

## Enumerations

enum | bool { FALSE = 0, TRUE = 1 }

## Define Documentation

#define NULL 0x0

## Typedef Documentation

typedef short Int16

typedef long Int32

typedef char Int8

typedef int pid_t

typedef int pidType

typedef int size_t

typedef unsigned int uInt

typedef unsigned short uInt16

typedef unsigned long uInt32

typedef unsigned char uInt8

## Enumeration Type Documentation

enum bool

Enumeration values:

  FALSE |
  TRUE |